Bug 139332 - Add performance test related to font fallback
Summary: Add performance test related to font fallback
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-05 19:03 PST by Myles C. Maxfield
Modified: 2014-12-09 18:19 PST (History)
7 users (show)

See Also:


Attachments
Patch (3.56 KB, patch)
2014-12-05 20:08 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (1.72 KB, patch)
2014-12-09 17:17 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2014-12-05 19:03:04 PST
Add performance test related to font fallback
Comment 1 Myles C. Maxfield 2014-12-05 20:08:03 PST
Created attachment 242697 [details]
Patch
Comment 2 Ryosuke Niwa 2014-12-08 12:43:39 PST
Comment on attachment 242697 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=242697&action=review

> PerformanceTests/Layout/font-fallback.html:6
> +    PerfTestRunner.measurePageLoadTime({path: "resources/font-fallback.html", customIterationCount: 1, doNotIgnoreInitialRun: true});

Why are we using custom iteration count here?
Comment 3 Ryosuke Niwa 2014-12-08 12:54:22 PST
Comment on attachment 242697 [details]
Patch

Single iteration data point won't be stored in the perf.webkit.org properly so this is NOT going to work.
Comment 4 Myles C. Maxfield 2014-12-09 17:17:23 PST
Created attachment 242981 [details]
Patch
Comment 5 WebKit Commit Bot 2014-12-09 18:19:13 PST
Comment on attachment 242981 [details]
Patch

Clearing flags on attachment: 242981

Committed r177051: <http://trac.webkit.org/changeset/177051>
Comment 6 WebKit Commit Bot 2014-12-09 18:19:17 PST
All reviewed patches have been landed.  Closing bug.